import { defineConfig } from 'vitepress';
import footnote from 'markdown-it-footnote'

export default defineConfig({
  title: 'HPG Romein',
  // description: 'A VitePress Site',

  themeConfig: {
    sidebar: [
      { text: 'Introductie',
        collapsed: false,
        items: [
          { text: 'Startreflectie', link: '/intro/startreflectie' },
        ],
      },
      { text: 'Inhoud project',
        collapsed: false,
        items: [
          { text: '1. Betonplaat', link: '/inhoud/betonplaat' },
          { text: '2. Boek', link: '/inhoud/boek' },
          { text: '3a. Top-30 tips', link: '/inhoud/top30' },
        ],
      },
    ],
  },

  markdown: {
    config: md => {
      md.use(footnote);
    },
  },
});
